在6.06下编译程序居然提示没有编译器

为当前最终发行版之前的所有版本提供支持
回复
头像
chronon
帖子: 2551
注册时间: 2005-12-13 14:35
送出感谢: 0
接收感谢: 0
联系:

在6.06下编译程序居然提示没有编译器

#1

帖子 chronon » 2006-06-15 11:12

在6.06下编译tilda,居然提示没有编译器,编译mplayer老是提示找不到头文件,而头文件就在那里放着。(没有在fat 分区,是在ext3分区下编译)
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#2

帖子 dbzhang800 » 2006-06-15 11:17

你没装编译器???
没有就装上好了
头像
chronon
帖子: 2551
注册时间: 2005-12-13 14:35
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 chronon » 2006-06-15 11:25

可编译mplayer不这样提示,而是找不到头文件,但头文件就在那里放着
种草得草
帖子: 340
注册时间: 2005-12-31 12:17
送出感谢: 0
接收感谢: 0

#4

帖子 种草得草 » 2006-06-15 12:06

先去学习一下linux编译基本知识吧
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 karron » 2006-06-15 12:30

安装编译环境 sudo apt-get install build-essential

关于编译软件,建议看看相关文档吧.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
种草得草
帖子: 340
注册时间: 2005-12-31 12:17
送出感谢: 0
接收感谢: 0

#6

帖子 种草得草 » 2006-06-15 17:27

:lol:

没有安装自然没有了。哈哈
kuerbt
帖子: 305
注册时间: 2006-04-13 13:53
送出感谢: 0
接收感谢: 1 次

#7

帖子 kuerbt » 2006-06-16 8:53

karron 写了:安装编译环境 sudo apt-get install build-essential

关于编译软件,建议看看相关文档吧.
build-essential 这个包包含哪些东西?
从哪里可以看到相关文档?

我也想知道。 :roll:
头像
chronon
帖子: 2551
注册时间: 2005-12-13 14:35
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 chronon » 2006-06-16 12:17

谢谢各位大哥,兄弟学习linux只有一年,一直在自己摸索,各位的教导我回会记住的。
lukefury
帖子: 138
注册时间: 2006-06-03 15:41
送出感谢: 0
接收感谢: 0

#9

帖子 lukefury » 2006-07-03 14:09

俺更新了build-essential ,还是不行啊
头像
lvjinhua
帖子: 436
注册时间: 2006-02-23 14:46
来自: 上海
送出感谢: 0
接收感谢: 1 次
联系:

#10

帖子 lvjinhua » 2006-07-05 0:28

ubuntu 的衍生版 dubuntu 应该能满足大家的需求,它默认已经附带了大量的开发工具及开发库。
====
dubuntu-6.06-livecd-i386正式版正式完工!
====
*支持LiveCD硬盘启动
*Linux 2.6.15-23-686
*永中Office 2007
*LumaQQ+OpenQ+cycloneQQ
**N 多的编程及调试工具**
NICMICHAEL
帖子: 309
注册时间: 2006-01-04 19:26
送出感谢: 0
接收感谢: 0

#11

帖子 NICMICHAEL » 2006-07-06 20:54

编译mplayer要调用GCC 3.4的.
Athlon 64 X2 Dual Core Processor 4200+ Socket 939 OC 2.8 GHZ
G.Skill DDR400 2 3 2 5 1GB *2 Dual Channel OC DDR500
Szgalaxy 8600 GTE 650MHZ/2000MHZ
Seagate 80GB *2 RAID 0+Maxtor 80G
DFI LanParty UT NF4-D
kernel 2.6.22-ck1 再见,Con Kolivas!
lukefury
帖子: 138
注册时间: 2006-06-03 15:41
送出感谢: 0
接收感谢: 0

#12

帖子 lukefury » 2006-07-07 12:51

那怎么安装这个gcc3.4呢?
回复

回到 “老旧版本支持”